<?php

function gigpress_sidebar($number = 3,$segment = 1) {

	global $wpdb;
	global $gigpress;
	$gpo = get_option('gigpress_settings');
	global $now;	
	global $tourshows;
	$tourshows = FALSE;
	
	echo('<ul class="gigpress-listing">');
	
	if($segment == 1) {
		
		$tours = $wpdb->get_results("
			SELECT * FROM ". $gigpress['tours_table'] ." WHERE tour_status = 'active' ORDER BY tour_order ASC
		");
		
		// If there are indeed tours to be found
		if($tours != FALSE) {
		
			foreach($tours as $tour) {
			
				// See if each tour actually has any shows assigned to it
				$shows = $wpdb->get_results("
					SELECT * FROM ". $gigpress['gigs_table'] ." WHERE show_tour_id = ". $tour->tour_id ." AND show_expire >= '". $now ."' AND (show_status = 'active' OR show_status = 'soldout' OR show_status = 'cancelled') ORDER BY show_date ASC LIMIT ".$number."
				");
				
				// If there are shows for the tour, display that shiznatt
				if($shows != FALSE) {
					
					echo('<li><span class="gigpress-list-heading">'.gigpress_sanitize($tour->tour_name).'</span>
							<ul>');
					gigpress_sidebar_content($shows, "tour");
					
				echo('</ul>
				</li>
				');
				} // end if shows
			} // end foreach tour
		} // if there are no tours, carry on 
		
		// Now we list any shows that are not part of a tour
	
		$list = $wpdb->get_results("
			SELECT * FROM ". $gigpress['gigs_table'] ." WHERE show_expire >= '". $now ."' AND show_tour_id = 0 AND show_status = 'active' ORDER BY show_date ASC LIMIT ". $number ."
		");
	
		if($list != FALSE) {

			if($tourshows == TRUE) {
			echo('<li><span class="gigpress-list-heading">'.gigpress_sanitize($gpo['individual_heading']).'</span>
				<ul>');
			}
		
			gigpress_sidebar_content($list, "individual");
		
			if($tourshows == TRUE) {
			echo('</ul>
			</li>');
			}
		} // end if individual shows

		if($tourshows != TRUE && $list == FALSE) {
			echo('<li>'.gigpress_sanitize($gpo['noupcoming']).'</li>');
		}
				
	} else { // if we're not segmenting by tour

		$list = $wpdb->get_results("
			SELECT * FROM ". $gigpress['gigs_table'] ." WHERE show_expire >= '". $now ."' AND (show_status = 'active' OR show_status = 'soldout' OR show_status = 'cancelled') ORDER BY show_date ASC LIMIT ". $number ."
		");
		
		if($list != FALSE) {
			
			gigpress_sidebar_content($list, "individual");
			
		} else {
			echo('<li>'. gigpress_sanitize($gpo['noupcoming']) .'</li>');
		}
	}
	if($gpo['sidebar_link'] == 1) {
	echo('<li class="gigpress-list-more"><a href="'.gigpress_check_url($gpo['shows_page']).'" title="'.gigpress_sanitize($gpo['upcoming_phrase']).'">'.gigpress_sanitize($gpo['upcoming_phrase']).'</a></li>');
	}
	if($gpo['rss_list'] == 1) {
	echo('<li class="gigpress-list-rss"><a href="'.$gigpress['rss'].'" title="'.gigpress_sanitize($gpo['rss_title']).'">RSS</a></li>');
	}
	echo("\n\t\t</ul>");
	echo('<!-- Generated by GigPress '.$gigpress['version'].'. -->');

}
	
// Now generate the content

function gigpress_sidebar_content($shows, $type) {

	global $gigpress;
	$gpo = get_option('gigpress_settings');
	
	$num = count($shows);
	$item = 1;
	
	// Register that we have a tour with shows
	if($type == "tour") {
		global $tourshows;
		$tourshows = TRUE;
	}
	
	foreach ($shows as $show) {
		
		$date = mysql2date($gpo['date_format'], $show->show_date);
		$expire = mysql2date($gpo['date_format'], $show->show_expire);
		$time = gigpress_timefy($show->show_time);
		$hdate = $show->show_date." ".$show->show_time;
		$hexpire = $show->show_expire." ".$show->show_time;

		// Make sure our links are protocol'd
		$venue_url = gigpress_check_url(gigpress_sanitize($show->show_venue_url));

		// Link up the venue name if it has a url associated with it
		if(!empty($show->show_venue_url)) {
		
			if($gpo['target_blank'] == 1) {
				$venue = "<a href=\"$venue_url\" target=\"_blank\" title=\"(".__("opens in a new window", "gigpress").")\">".gigpress_sanitize($show->show_venue)."</a>";
			} else {
				$venue = "<a href=\"$venue_url\">".gigpress_sanitize($show->show_venue)."</a>";
			}
		
		} else {
			$venue = gigpress_sanitize($show->show_venue);
		}

		echo('<li class="');
		if($show->show_status != 'cancelled') echo('vevent ');
		echo $show->show_status;

		if($item == 1) { echo(' gigpress-list-first'); }
		if($item == $num) { echo(' gigpress-list-last'); }
		$style = ($item % 2) ? '' : ' gigpress-alt';
		echo($style . '">');
		if($show->show_status == 'cancelled') echo('<s>');
		if ( $show->show_related && $gpo['relatedlink_date'] == 1 ) {
			echo('<a href="' . gigpress_related_link($show->show_related, 'url') . '">');
		}
		echo("<span class=\"gigpress-date\"><abbr class=\"dtstart\" title=\"$hdate\">$date</abbr>");
		if($show->show_multi == 1) { echo(' - <abbr class="dtend" title="'.$hexpire.'">'.$expire.'</abbr>'); };
		echo("</span> ");
		if ( $show->show_related && $gpo['relatedlink_date'] == 1 ) {
			echo('</a>');
		}
		echo(__("in", "gigpress")." <span class=\"summary\"><span class=\"hide\">". gigpress_sanitize($gpo['band']) ." ".__("in", "gigpress")." </span>");
		if ( $show->show_related && $gpo['relatedlink_city'] == 1 ) {
			echo('<a href="' . gigpress_related_link($show->show_related, 'url') . '">');
		}
		echo(gigpress_sanitize($show->show_locale)."</span> ");
		if ( $show->show_related && $gpo['relatedlink_city'] == 1 ) {
			echo('</a>');
		}
		echo(__("at", "gigpress")." <span class=\"location\">$venue</span>");
		if($show->show_status == 'soldout') echo('<strong class="gigpress-soldout">' . __("Sold Out", "gigpress") . '</strong>');
		if($show->show_status == 'cancelled') echo('</s>');
		echo("</li>\n\t\t");
		$item++;
	} // end foreach show
}